import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { CreateCapacityProviderRequestFilterSensitiveLog, CreateCapacityProviderResponseFilterSensitiveLog, } from "../models/models_0";
import { deserializeAws_json1_1CreateCapacityProviderCommand, serializeAws_json1_1CreateCapacityProviderCommand, } from "../protocols/Aws_json1_1";
var CreateCapacityProviderCommand = (function (_super) {
    __extends(CreateCapacityProviderCommand, _super);
    function CreateCapacityProviderCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    CreateCapacityProviderCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "ECSClient";
        var commandName = "CreateCapacityProviderCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: CreateCapacityProviderRequestFilterSensitiveLog,
            outputFilterSensitiveLog: CreateCapacityProviderResponseFilterSensitiveLog,
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    CreateCapacityProviderCommand.prototype.serialize = function (input, context) {
        return serializeAws_json1_1CreateCapacityProviderCommand(input, context);
    };
    CreateCapacityProviderCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_json1_1CreateCapacityProviderCommand(output, context);
    };
    return CreateCapacityProviderCommand;
}($Command));
export { CreateCapacityProviderCommand };
