import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { CreateTaskSetRequestFilterSensitiveLog, CreateTaskSetResponseFilterSensitiveLog, } from "../models/models_0";
import { deserializeAws_json1_1CreateTaskSetCommand, serializeAws_json1_1CreateTaskSetCommand, } from "../protocols/Aws_json1_1";
var CreateTaskSetCommand = (function (_super) {
    __extends(CreateTaskSetCommand, _super);
    function CreateTaskSetCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    CreateTaskSetCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "ECSClient";
        var commandName = "CreateTaskSetCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: CreateTaskSetRequestFilterSensitiveLog,
            outputFilterSensitiveLog: CreateTaskSetResponseFilterSensitiveLog,
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    CreateTaskSetCommand.prototype.serialize = function (input, context) {
        return serializeAws_json1_1CreateTaskSetCommand(input, context);
    };
    CreateTaskSetCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_json1_1CreateTaskSetCommand(output, context);
    };
    return CreateTaskSetCommand;
}($Command));
export { CreateTaskSetCommand };
