import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { DeleteAccountSettingRequestFilterSensitiveLog, DeleteAccountSettingResponseFilterSensitiveLog, } from "../models/models_0";
import { deserializeAws_json1_1DeleteAccountSettingCommand, serializeAws_json1_1DeleteAccountSettingCommand, } from "../protocols/Aws_json1_1";
var DeleteAccountSettingCommand = (function (_super) {
    __extends(DeleteAccountSettingCommand, _super);
    function DeleteAccountSettingCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    DeleteAccountSettingCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "ECSClient";
        var commandName = "DeleteAccountSettingCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: DeleteAccountSettingRequestFilterSensitiveLog,
            outputFilterSensitiveLog: DeleteAccountSettingResponseFilterSensitiveLog,
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    DeleteAccountSettingCommand.prototype.serialize = function (input, context) {
        return serializeAws_json1_1DeleteAccountSettingCommand(input, context);
    };
    DeleteAccountSettingCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_json1_1DeleteAccountSettingCommand(output, context);
    };
    return DeleteAccountSettingCommand;
}($Command));
export { DeleteAccountSettingCommand };
