import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { DeleteAttributesRequestFilterSensitiveLog, DeleteAttributesResponseFilterSensitiveLog, } from "../models/models_0";
import { deserializeAws_json1_1DeleteAttributesCommand, serializeAws_json1_1DeleteAttributesCommand, } from "../protocols/Aws_json1_1";
var DeleteAttributesCommand = (function (_super) {
    __extends(DeleteAttributesCommand, _super);
    function DeleteAttributesCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    DeleteAttributesCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "ECSClient";
        var commandName = "DeleteAttributesCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: DeleteAttributesRequestFilterSensitiveLog,
            outputFilterSensitiveLog: DeleteAttributesResponseFilterSensitiveLog,
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    DeleteAttributesCommand.prototype.serialize = function (input, context) {
        return serializeAws_json1_1DeleteAttributesCommand(input, context);
    };
    DeleteAttributesCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_json1_1DeleteAttributesCommand(output, context);
    };
    return DeleteAttributesCommand;
}($Command));
export { DeleteAttributesCommand };
