import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { DeleteServiceRequestFilterSensitiveLog, DeleteServiceResponseFilterSensitiveLog, } from "../models/models_0";
import { deserializeAws_json1_1DeleteServiceCommand, serializeAws_json1_1DeleteServiceCommand, } from "../protocols/Aws_json1_1";
var DeleteServiceCommand = (function (_super) {
    __extends(DeleteServiceCommand, _super);
    function DeleteServiceCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    DeleteServiceCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "ECSClient";
        var commandName = "DeleteServiceCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: DeleteServiceRequestFilterSensitiveLog,
            outputFilterSensitiveLog: DeleteServiceResponseFilterSensitiveLog,
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    DeleteServiceCommand.prototype.serialize = function (input, context) {
        return serializeAws_json1_1DeleteServiceCommand(input, context);
    };
    DeleteServiceCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_json1_1DeleteServiceCommand(output, context);
    };
    return DeleteServiceCommand;
}($Command));
export { DeleteServiceCommand };
