import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { DeregisterTaskDefinitionRequestFilterSensitiveLog, DeregisterTaskDefinitionResponseFilterSensitiveLog, } from "../models/models_0";
import { deserializeAws_json1_1DeregisterTaskDefinitionCommand, serializeAws_json1_1DeregisterTaskDefinitionCommand, } from "../protocols/Aws_json1_1";
var DeregisterTaskDefinitionCommand = (function (_super) {
    __extends(DeregisterTaskDefinitionCommand, _super);
    function DeregisterTaskDefinitionCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    DeregisterTaskDefinitionCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "ECSClient";
        var commandName = "DeregisterTaskDefinitionCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: DeregisterTaskDefinitionRequestFilterSensitiveLog,
            outputFilterSensitiveLog: DeregisterTaskDefinitionResponseFilterSensitiveLog,
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    DeregisterTaskDefinitionCommand.prototype.serialize = function (input, context) {
        return serializeAws_json1_1DeregisterTaskDefinitionCommand(input, context);
    };
    DeregisterTaskDefinitionCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_json1_1DeregisterTaskDefinitionCommand(output, context);
    };
    return DeregisterTaskDefinitionCommand;
}($Command));
export { DeregisterTaskDefinitionCommand };
