import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { DescribeContainerInstancesRequestFilterSensitiveLog, DescribeContainerInstancesResponseFilterSensitiveLog, } from "../models/models_0";
import { deserializeAws_json1_1DescribeContainerInstancesCommand, serializeAws_json1_1DescribeContainerInstancesCommand, } from "../protocols/Aws_json1_1";
var DescribeContainerInstancesCommand = (function (_super) {
    __extends(DescribeContainerInstancesCommand, _super);
    function DescribeContainerInstancesCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    DescribeContainerInstancesCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "ECSClient";
        var commandName = "DescribeContainerInstancesCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: DescribeContainerInstancesRequestFilterSensitiveLog,
            outputFilterSensitiveLog: DescribeContainerInstancesResponseFilterSensitiveLog,
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    DescribeContainerInstancesCommand.prototype.serialize = function (input, context) {
        return serializeAws_json1_1DescribeContainerInstancesCommand(input, context);
    };
    DescribeContainerInstancesCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_json1_1DescribeContainerInstancesCommand(output, context);
    };
    return DescribeContainerInstancesCommand;
}($Command));
export { DescribeContainerInstancesCommand };
