import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { DescribeTaskSetsRequestFilterSensitiveLog, DescribeTaskSetsResponseFilterSensitiveLog, } from "../models/models_0";
import { deserializeAws_json1_1DescribeTaskSetsCommand, serializeAws_json1_1DescribeTaskSetsCommand, } from "../protocols/Aws_json1_1";
var DescribeTaskSetsCommand = (function (_super) {
    __extends(DescribeTaskSetsCommand, _super);
    function DescribeTaskSetsCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    DescribeTaskSetsCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "ECSClient";
        var commandName = "DescribeTaskSetsCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: DescribeTaskSetsRequestFilterSensitiveLog,
            outputFilterSensitiveLog: DescribeTaskSetsResponseFilterSensitiveLog,
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    DescribeTaskSetsCommand.prototype.serialize = function (input, context) {
        return serializeAws_json1_1DescribeTaskSetsCommand(input, context);
    };
    DescribeTaskSetsCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_json1_1DescribeTaskSetsCommand(output, context);
    };
    return DescribeTaskSetsCommand;
}($Command));
export { DescribeTaskSetsCommand };
