import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { DescribeTasksRequestFilterSensitiveLog, DescribeTasksResponseFilterSensitiveLog, } from "../models/models_0";
import { deserializeAws_json1_1DescribeTasksCommand, serializeAws_json1_1DescribeTasksCommand, } from "../protocols/Aws_json1_1";
var DescribeTasksCommand = (function (_super) {
    __extends(DescribeTasksCommand, _super);
    function DescribeTasksCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    DescribeTasksCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "ECSClient";
        var commandName = "DescribeTasksCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: DescribeTasksRequestFilterSensitiveLog,
            outputFilterSensitiveLog: DescribeTasksResponseFilterSensitiveLog,
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    DescribeTasksCommand.prototype.serialize = function (input, context) {
        return serializeAws_json1_1DescribeTasksCommand(input, context);
    };
    DescribeTasksCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_json1_1DescribeTasksCommand(output, context);
    };
    return DescribeTasksCommand;
}($Command));
export { DescribeTasksCommand };
