import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { DiscoverPollEndpointRequestFilterSensitiveLog, DiscoverPollEndpointResponseFilterSensitiveLog, } from "../models/models_0";
import { deserializeAws_json1_1DiscoverPollEndpointCommand, serializeAws_json1_1DiscoverPollEndpointCommand, } from "../protocols/Aws_json1_1";
var DiscoverPollEndpointCommand = (function (_super) {
    __extends(DiscoverPollEndpointCommand, _super);
    function DiscoverPollEndpointCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    DiscoverPollEndpointCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "ECSClient";
        var commandName = "DiscoverPollEndpointCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: DiscoverPollEndpointRequestFilterSensitiveLog,
            outputFilterSensitiveLog: DiscoverPollEndpointResponseFilterSensitiveLog,
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    DiscoverPollEndpointCommand.prototype.serialize = function (input, context) {
        return serializeAws_json1_1DiscoverPollEndpointCommand(input, context);
    };
    DiscoverPollEndpointCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_json1_1DiscoverPollEndpointCommand(output, context);
    };
    return DiscoverPollEndpointCommand;
}($Command));
export { DiscoverPollEndpointCommand };
