import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { ExecuteCommandRequestFilterSensitiveLog, ExecuteCommandResponseFilterSensitiveLog, } from "../models/models_0";
import { deserializeAws_json1_1ExecuteCommandCommand, serializeAws_json1_1ExecuteCommandCommand, } from "../protocols/Aws_json1_1";
var ExecuteCommandCommand = (function (_super) {
    __extends(ExecuteCommandCommand, _super);
    function ExecuteCommandCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    ExecuteCommandCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "ECSClient";
        var commandName = "ExecuteCommandCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: ExecuteCommandRequestFilterSensitiveLog,
            outputFilterSensitiveLog: ExecuteCommandResponseFilterSensitiveLog,
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    ExecuteCommandCommand.prototype.serialize = function (input, context) {
        return serializeAws_json1_1ExecuteCommandCommand(input, context);
    };
    ExecuteCommandCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_json1_1ExecuteCommandCommand(output, context);
    };
    return ExecuteCommandCommand;
}($Command));
export { ExecuteCommandCommand };
