import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { ListAccountSettingsRequestFilterSensitiveLog, ListAccountSettingsResponseFilterSensitiveLog, } from "../models/models_0";
import { deserializeAws_json1_1ListAccountSettingsCommand, serializeAws_json1_1ListAccountSettingsCommand, } from "../protocols/Aws_json1_1";
var ListAccountSettingsCommand = (function (_super) {
    __extends(ListAccountSettingsCommand, _super);
    function ListAccountSettingsCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    ListAccountSettingsCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "ECSClient";
        var commandName = "ListAccountSettingsCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: ListAccountSettingsRequestFilterSensitiveLog,
            outputFilterSensitiveLog: ListAccountSettingsResponseFilterSensitiveLog,
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    ListAccountSettingsCommand.prototype.serialize = function (input, context) {
        return serializeAws_json1_1ListAccountSettingsCommand(input, context);
    };
    ListAccountSettingsCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_json1_1ListAccountSettingsCommand(output, context);
    };
    return ListAccountSettingsCommand;
}($Command));
export { ListAccountSettingsCommand };
