import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { ListClustersRequestFilterSensitiveLog, ListClustersResponseFilterSensitiveLog, } from "../models/models_0";
import { deserializeAws_json1_1ListClustersCommand, serializeAws_json1_1ListClustersCommand, } from "../protocols/Aws_json1_1";
var ListClustersCommand = (function (_super) {
    __extends(ListClustersCommand, _super);
    function ListClustersCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    ListClustersCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "ECSClient";
        var commandName = "ListClustersCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: ListClustersRequestFilterSensitiveLog,
            outputFilterSensitiveLog: ListClustersResponseFilterSensitiveLog,
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    ListClustersCommand.prototype.serialize = function (input, context) {
        return serializeAws_json1_1ListClustersCommand(input, context);
    };
    ListClustersCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_json1_1ListClustersCommand(output, context);
    };
    return ListClustersCommand;
}($Command));
export { ListClustersCommand };
