import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { ListTaskDefinitionFamiliesRequestFilterSensitiveLog, ListTaskDefinitionFamiliesResponseFilterSensitiveLog, } from "../models/models_0";
import { deserializeAws_json1_1ListTaskDefinitionFamiliesCommand, serializeAws_json1_1ListTaskDefinitionFamiliesCommand, } from "../protocols/Aws_json1_1";
var ListTaskDefinitionFamiliesCommand = (function (_super) {
    __extends(ListTaskDefinitionFamiliesCommand, _super);
    function ListTaskDefinitionFamiliesCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    ListTaskDefinitionFamiliesCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "ECSClient";
        var commandName = "ListTaskDefinitionFamiliesCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: ListTaskDefinitionFamiliesRequestFilterSensitiveLog,
            outputFilterSensitiveLog: ListTaskDefinitionFamiliesResponseFilterSensitiveLog,
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    ListTaskDefinitionFamiliesCommand.prototype.serialize = function (input, context) {
        return serializeAws_json1_1ListTaskDefinitionFamiliesCommand(input, context);
    };
    ListTaskDefinitionFamiliesCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_json1_1ListTaskDefinitionFamiliesCommand(output, context);
    };
    return ListTaskDefinitionFamiliesCommand;
}($Command));
export { ListTaskDefinitionFamiliesCommand };
