import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { ListTaskDefinitionsRequestFilterSensitiveLog, ListTaskDefinitionsResponseFilterSensitiveLog, } from "../models/models_0";
import { deserializeAws_json1_1ListTaskDefinitionsCommand, serializeAws_json1_1ListTaskDefinitionsCommand, } from "../protocols/Aws_json1_1";
var ListTaskDefinitionsCommand = (function (_super) {
    __extends(ListTaskDefinitionsCommand, _super);
    function ListTaskDefinitionsCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    ListTaskDefinitionsCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "ECSClient";
        var commandName = "ListTaskDefinitionsCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: ListTaskDefinitionsRequestFilterSensitiveLog,
            outputFilterSensitiveLog: ListTaskDefinitionsResponseFilterSensitiveLog,
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    ListTaskDefinitionsCommand.prototype.serialize = function (input, context) {
        return serializeAws_json1_1ListTaskDefinitionsCommand(input, context);
    };
    ListTaskDefinitionsCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_json1_1ListTaskDefinitionsCommand(output, context);
    };
    return ListTaskDefinitionsCommand;
}($Command));
export { ListTaskDefinitionsCommand };
