import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { PutAccountSettingRequestFilterSensitiveLog, PutAccountSettingResponseFilterSensitiveLog, } from "../models/models_0";
import { deserializeAws_json1_1PutAccountSettingCommand, serializeAws_json1_1PutAccountSettingCommand, } from "../protocols/Aws_json1_1";
var PutAccountSettingCommand = (function (_super) {
    __extends(PutAccountSettingCommand, _super);
    function PutAccountSettingCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    PutAccountSettingCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "ECSClient";
        var commandName = "PutAccountSettingCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: PutAccountSettingRequestFilterSensitiveLog,
            outputFilterSensitiveLog: PutAccountSettingResponseFilterSensitiveLog,
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    PutAccountSettingCommand.prototype.serialize = function (input, context) {
        return serializeAws_json1_1PutAccountSettingCommand(input, context);
    };
    PutAccountSettingCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_json1_1PutAccountSettingCommand(output, context);
    };
    return PutAccountSettingCommand;
}($Command));
export { PutAccountSettingCommand };
