import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { PutAccountSettingDefaultRequestFilterSensitiveLog, PutAccountSettingDefaultResponseFilterSensitiveLog, } from "../models/models_0";
import { deserializeAws_json1_1PutAccountSettingDefaultCommand, serializeAws_json1_1PutAccountSettingDefaultCommand, } from "../protocols/Aws_json1_1";
var PutAccountSettingDefaultCommand = (function (_super) {
    __extends(PutAccountSettingDefaultCommand, _super);
    function PutAccountSettingDefaultCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    PutAccountSettingDefaultCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "ECSClient";
        var commandName = "PutAccountSettingDefaultCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: PutAccountSettingDefaultRequestFilterSensitiveLog,
            outputFilterSensitiveLog: PutAccountSettingDefaultResponseFilterSensitiveLog,
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    PutAccountSettingDefaultCommand.prototype.serialize = function (input, context) {
        return serializeAws_json1_1PutAccountSettingDefaultCommand(input, context);
    };
    PutAccountSettingDefaultCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_json1_1PutAccountSettingDefaultCommand(output, context);
    };
    return PutAccountSettingDefaultCommand;
}($Command));
export { PutAccountSettingDefaultCommand };
