import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { PutAttributesRequestFilterSensitiveLog, PutAttributesResponseFilterSensitiveLog, } from "../models/models_0";
import { deserializeAws_json1_1PutAttributesCommand, serializeAws_json1_1PutAttributesCommand, } from "../protocols/Aws_json1_1";
var PutAttributesCommand = (function (_super) {
    __extends(PutAttributesCommand, _super);
    function PutAttributesCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    PutAttributesCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "ECSClient";
        var commandName = "PutAttributesCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: PutAttributesRequestFilterSensitiveLog,
            outputFilterSensitiveLog: PutAttributesResponseFilterSensitiveLog,
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    PutAttributesCommand.prototype.serialize = function (input, context) {
        return serializeAws_json1_1PutAttributesCommand(input, context);
    };
    PutAttributesCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_json1_1PutAttributesCommand(output, context);
    };
    return PutAttributesCommand;
}($Command));
export { PutAttributesCommand };
