import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { PutClusterCapacityProvidersRequestFilterSensitiveLog, PutClusterCapacityProvidersResponseFilterSensitiveLog, } from "../models/models_0";
import { deserializeAws_json1_1PutClusterCapacityProvidersCommand, serializeAws_json1_1PutClusterCapacityProvidersCommand, } from "../protocols/Aws_json1_1";
var PutClusterCapacityProvidersCommand = (function (_super) {
    __extends(PutClusterCapacityProvidersCommand, _super);
    function PutClusterCapacityProvidersCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    PutClusterCapacityProvidersCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "ECSClient";
        var commandName = "PutClusterCapacityProvidersCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: PutClusterCapacityProvidersRequestFilterSensitiveLog,
            outputFilterSensitiveLog: PutClusterCapacityProvidersResponseFilterSensitiveLog,
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    PutClusterCapacityProvidersCommand.prototype.serialize = function (input, context) {
        return serializeAws_json1_1PutClusterCapacityProvidersCommand(input, context);
    };
    PutClusterCapacityProvidersCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_json1_1PutClusterCapacityProvidersCommand(output, context);
    };
    return PutClusterCapacityProvidersCommand;
}($Command));
export { PutClusterCapacityProvidersCommand };
