import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { RegisterTaskDefinitionRequestFilterSensitiveLog, RegisterTaskDefinitionResponseFilterSensitiveLog, } from "../models/models_0";
import { deserializeAws_json1_1RegisterTaskDefinitionCommand, serializeAws_json1_1RegisterTaskDefinitionCommand, } from "../protocols/Aws_json1_1";
var RegisterTaskDefinitionCommand = (function (_super) {
    __extends(RegisterTaskDefinitionCommand, _super);
    function RegisterTaskDefinitionCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    RegisterTaskDefinitionCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "ECSClient";
        var commandName = "RegisterTaskDefinitionCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: RegisterTaskDefinitionRequestFilterSensitiveLog,
            outputFilterSensitiveLog: RegisterTaskDefinitionResponseFilterSensitiveLog,
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    RegisterTaskDefinitionCommand.prototype.serialize = function (input, context) {
        return serializeAws_json1_1RegisterTaskDefinitionCommand(input, context);
    };
    RegisterTaskDefinitionCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_json1_1RegisterTaskDefinitionCommand(output, context);
    };
    return RegisterTaskDefinitionCommand;
}($Command));
export { RegisterTaskDefinitionCommand };
