import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { RunTaskRequestFilterSensitiveLog, RunTaskResponseFilterSensitiveLog, } from "../models/models_0";
import { deserializeAws_json1_1RunTaskCommand, serializeAws_json1_1RunTaskCommand } from "../protocols/Aws_json1_1";
var RunTaskCommand = (function (_super) {
    __extends(RunTaskCommand, _super);
    function RunTaskCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    RunTaskCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "ECSClient";
        var commandName = "RunTaskCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: RunTaskRequestFilterSensitiveLog,
            outputFilterSensitiveLog: RunTaskResponseFilterSensitiveLog,
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    RunTaskCommand.prototype.serialize = function (input, context) {
        return serializeAws_json1_1RunTaskCommand(input, context);
    };
    RunTaskCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_json1_1RunTaskCommand(output, context);
    };
    return RunTaskCommand;
}($Command));
export { RunTaskCommand };
