import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { StartTaskRequestFilterSensitiveLog, StartTaskResponseFilterSensitiveLog, } from "../models/models_0";
import { deserializeAws_json1_1StartTaskCommand, serializeAws_json1_1StartTaskCommand } from "../protocols/Aws_json1_1";
var StartTaskCommand = (function (_super) {
    __extends(StartTaskCommand, _super);
    function StartTaskCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    StartTaskCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "ECSClient";
        var commandName = "StartTaskCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: StartTaskRequestFilterSensitiveLog,
            outputFilterSensitiveLog: StartTaskResponseFilterSensitiveLog,
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    StartTaskCommand.prototype.serialize = function (input, context) {
        return serializeAws_json1_1StartTaskCommand(input, context);
    };
    StartTaskCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_json1_1StartTaskCommand(output, context);
    };
    return StartTaskCommand;
}($Command));
export { StartTaskCommand };
