import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { StopTaskRequestFilterSensitiveLog, StopTaskResponseFilterSensitiveLog, } from "../models/models_0";
import { deserializeAws_json1_1StopTaskCommand, serializeAws_json1_1StopTaskCommand } from "../protocols/Aws_json1_1";
var StopTaskCommand = (function (_super) {
    __extends(StopTaskCommand, _super);
    function StopTaskCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    StopTaskCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "ECSClient";
        var commandName = "StopTaskCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: StopTaskRequestFilterSensitiveLog,
            outputFilterSensitiveLog: StopTaskResponseFilterSensitiveLog,
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    StopTaskCommand.prototype.serialize = function (input, context) {
        return serializeAws_json1_1StopTaskCommand(input, context);
    };
    StopTaskCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_json1_1StopTaskCommand(output, context);
    };
    return StopTaskCommand;
}($Command));
export { StopTaskCommand };
