import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { SubmitAttachmentStateChangesRequestFilterSensitiveLog, SubmitAttachmentStateChangesResponseFilterSensitiveLog, } from "../models/models_0";
import { deserializeAws_json1_1SubmitAttachmentStateChangesCommand, serializeAws_json1_1SubmitAttachmentStateChangesCommand, } from "../protocols/Aws_json1_1";
var SubmitAttachmentStateChangesCommand = (function (_super) {
    __extends(SubmitAttachmentStateChangesCommand, _super);
    function SubmitAttachmentStateChangesCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    SubmitAttachmentStateChangesCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "ECSClient";
        var commandName = "SubmitAttachmentStateChangesCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: SubmitAttachmentStateChangesRequestFilterSensitiveLog,
            outputFilterSensitiveLog: SubmitAttachmentStateChangesResponseFilterSensitiveLog,
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    SubmitAttachmentStateChangesCommand.prototype.serialize = function (input, context) {
        return serializeAws_json1_1SubmitAttachmentStateChangesCommand(input, context);
    };
    SubmitAttachmentStateChangesCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_json1_1SubmitAttachmentStateChangesCommand(output, context);
    };
    return SubmitAttachmentStateChangesCommand;
}($Command));
export { SubmitAttachmentStateChangesCommand };
