import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { SubmitContainerStateChangeRequestFilterSensitiveLog, SubmitContainerStateChangeResponseFilterSensitiveLog, } from "../models/models_0";
import { deserializeAws_json1_1SubmitContainerStateChangeCommand, serializeAws_json1_1SubmitContainerStateChangeCommand, } from "../protocols/Aws_json1_1";
var SubmitContainerStateChangeCommand = (function (_super) {
    __extends(SubmitContainerStateChangeCommand, _super);
    function SubmitContainerStateChangeCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    SubmitContainerStateChangeCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "ECSClient";
        var commandName = "SubmitContainerStateChangeCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: SubmitContainerStateChangeRequestFilterSensitiveLog,
            outputFilterSensitiveLog: SubmitContainerStateChangeResponseFilterSensitiveLog,
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    SubmitContainerStateChangeCommand.prototype.serialize = function (input, context) {
        return serializeAws_json1_1SubmitContainerStateChangeCommand(input, context);
    };
    SubmitContainerStateChangeCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_json1_1SubmitContainerStateChangeCommand(output, context);
    };
    return SubmitContainerStateChangeCommand;
}($Command));
export { SubmitContainerStateChangeCommand };
