import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { SubmitTaskStateChangeRequestFilterSensitiveLog, SubmitTaskStateChangeResponseFilterSensitiveLog, } from "../models/models_0";
import { deserializeAws_json1_1SubmitTaskStateChangeCommand, serializeAws_json1_1SubmitTaskStateChangeCommand, } from "../protocols/Aws_json1_1";
var SubmitTaskStateChangeCommand = (function (_super) {
    __extends(SubmitTaskStateChangeCommand, _super);
    function SubmitTaskStateChangeCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    SubmitTaskStateChangeCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "ECSClient";
        var commandName = "SubmitTaskStateChangeCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: SubmitTaskStateChangeRequestFilterSensitiveLog,
            outputFilterSensitiveLog: SubmitTaskStateChangeResponseFilterSensitiveLog,
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    SubmitTaskStateChangeCommand.prototype.serialize = function (input, context) {
        return serializeAws_json1_1SubmitTaskStateChangeCommand(input, context);
    };
    SubmitTaskStateChangeCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_json1_1SubmitTaskStateChangeCommand(output, context);
    };
    return SubmitTaskStateChangeCommand;
}($Command));
export { SubmitTaskStateChangeCommand };
