import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { UpdateCapacityProviderRequestFilterSensitiveLog, UpdateCapacityProviderResponseFilterSensitiveLog, } from "../models/models_0";
import { deserializeAws_json1_1UpdateCapacityProviderCommand, serializeAws_json1_1UpdateCapacityProviderCommand, } from "../protocols/Aws_json1_1";
var UpdateCapacityProviderCommand = (function (_super) {
    __extends(UpdateCapacityProviderCommand, _super);
    function UpdateCapacityProviderCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    UpdateCapacityProviderCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "ECSClient";
        var commandName = "UpdateCapacityProviderCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: UpdateCapacityProviderRequestFilterSensitiveLog,
            outputFilterSensitiveLog: UpdateCapacityProviderResponseFilterSensitiveLog,
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    UpdateCapacityProviderCommand.prototype.serialize = function (input, context) {
        return serializeAws_json1_1UpdateCapacityProviderCommand(input, context);
    };
    UpdateCapacityProviderCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_json1_1UpdateCapacityProviderCommand(output, context);
    };
    return UpdateCapacityProviderCommand;
}($Command));
export { UpdateCapacityProviderCommand };
