import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { UpdateClusterSettingsRequestFilterSensitiveLog, UpdateClusterSettingsResponseFilterSensitiveLog, } from "../models/models_0";
import { deserializeAws_json1_1UpdateClusterSettingsCommand, serializeAws_json1_1UpdateClusterSettingsCommand, } from "../protocols/Aws_json1_1";
var UpdateClusterSettingsCommand = (function (_super) {
    __extends(UpdateClusterSettingsCommand, _super);
    function UpdateClusterSettingsCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    UpdateClusterSettingsCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "ECSClient";
        var commandName = "UpdateClusterSettingsCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: UpdateClusterSettingsRequestFilterSensitiveLog,
            outputFilterSensitiveLog: UpdateClusterSettingsResponseFilterSensitiveLog,
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    UpdateClusterSettingsCommand.prototype.serialize = function (input, context) {
        return serializeAws_json1_1UpdateClusterSettingsCommand(input, context);
    };
    UpdateClusterSettingsCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_json1_1UpdateClusterSettingsCommand(output, context);
    };
    return UpdateClusterSettingsCommand;
}($Command));
export { UpdateClusterSettingsCommand };
