import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { UpdateServiceRequestFilterSensitiveLog, UpdateServiceResponseFilterSensitiveLog, } from "../models/models_0";
import { deserializeAws_json1_1UpdateServiceCommand, serializeAws_json1_1UpdateServiceCommand, } from "../protocols/Aws_json1_1";
var UpdateServiceCommand = (function (_super) {
    __extends(UpdateServiceCommand, _super);
    function UpdateServiceCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    UpdateServiceCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "ECSClient";
        var commandName = "UpdateServiceCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: UpdateServiceRequestFilterSensitiveLog,
            outputFilterSensitiveLog: UpdateServiceResponseFilterSensitiveLog,
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    UpdateServiceCommand.prototype.serialize = function (input, context) {
        return serializeAws_json1_1UpdateServiceCommand(input, context);
    };
    UpdateServiceCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_json1_1UpdateServiceCommand(output, context);
    };
    return UpdateServiceCommand;
}($Command));
export { UpdateServiceCommand };
