import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { UpdateServicePrimaryTaskSetRequestFilterSensitiveLog, UpdateServicePrimaryTaskSetResponseFilterSensitiveLog, } from "../models/models_0";
import { deserializeAws_json1_1UpdateServicePrimaryTaskSetCommand, serializeAws_json1_1UpdateServicePrimaryTaskSetCommand, } from "../protocols/Aws_json1_1";
var UpdateServicePrimaryTaskSetCommand = (function (_super) {
    __extends(UpdateServicePrimaryTaskSetCommand, _super);
    function UpdateServicePrimaryTaskSetCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    UpdateServicePrimaryTaskSetCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "ECSClient";
        var commandName = "UpdateServicePrimaryTaskSetCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: UpdateServicePrimaryTaskSetRequestFilterSensitiveLog,
            outputFilterSensitiveLog: UpdateServicePrimaryTaskSetResponseFilterSensitiveLog,
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    UpdateServicePrimaryTaskSetCommand.prototype.serialize = function (input, context) {
        return serializeAws_json1_1UpdateServicePrimaryTaskSetCommand(input, context);
    };
    UpdateServicePrimaryTaskSetCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_json1_1UpdateServicePrimaryTaskSetCommand(output, context);
    };
    return UpdateServicePrimaryTaskSetCommand;
}($Command));
export { UpdateServicePrimaryTaskSetCommand };
